Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::vrml97_skip_grammar::definition< ScannerT > Struct Template Reference

`vrml97_skip_grammar` definition. More...

`#include <openvrml/vrml97_grammar.h>`

List of all members.

## Public Types

typedef boost::spirit::classic::rule < ScannerT > | rule_t
| Rule type.

## Public Member Functions

| definition (const vrml97_skip_grammar &self)
| Construct.
const rule_t & | start () const
| The start rule.

## Public Attributes

rule_t | skip
| The skip rule.

## Detailed Description

### template<typename ScannerT>
struct openvrml::vrml97_skip_grammar::definition< ScannerT >

`vrml97_skip_grammar` definition.

For internal use only.

## Member Typedef Documentation

template<typename ScannerT >

boost::spirit::rule< ScannerT > openvrml::vrml97_skip_grammar::definition< ScannerT >::rule_t

Rule type.

## Constructor & Destructor Documentation

template<typename ScannerT >

openvrml::vrml97_skip_grammar::definition< ScannerT >::definition | ( | const vrml97_skip_grammar & | self | ) | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | self | a reference to the grammar.

## Member Function Documentation

template<typename ScannerT >

const vrml97_skip_grammar::definition< ScannerT >::rule_t & openvrml::vrml97_skip_grammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

The start rule.

Returns:
  the start rule.

## Member Data Documentation

template<typename ScannerT >

openvrml::vrml97_skip_grammar::definition< ScannerT >::rule_t openvrml::vrml97_skip_grammar::definition< ScannerT >::skip

The skip rule.